require( "scripts/styles/style.lua" );


MakeState{
	BlgBitmap{
		image = "common/backgrounds/bg_minigamemenu",
		name = "minigamesmenuBG",
		center = {x = 0, y = 0},
	},

	BlgButton{
		transformMatrix = {x = 0, y = 0},
		label = "Comic_Menu_Pool_1",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/1", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 0},
		label = "Comic_Menu_Pool_2",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/2", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 0},
		label = "Comic_Menu_Pool_3",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/3", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 600, y = 0},
		label = "Comic_Menu_Pool_4",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/4", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 800, y = 0},
		label = "Comic_Menu_Pool_5",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/5", background="level/story/textures/bg_pool"});
			end
	},
	
	------------------------------------------------
	
	BlgButton{
		transformMatrix = {x = 0, y = 100},
		label = "Comic_Menu_Pool_6",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/6", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 100},
		label = "Comic_Menu_Pool_8",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/8", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 100},
		label = "Comic_Menu_Pool_9",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/9", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 600, y = 100},
		label = "Comic_Menu_Pool_10",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/10", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 800, y = 100},
		label = "Comic_Menu_Pool_11",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/11", background="level/story/textures/bg_pool"});
			end
	},
	
	--------------------------------------------------------------
	
	BlgButton{
		transformMatrix = {x = 0, y = 200},
		label = "Comic_Menu_Pool_13",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/13", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 200},
		label = "Comic_Menu_Pool_15",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/15", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 200},
		label = "Comic_Menu_Pool_16",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/16", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 600, y = 200},
		label = "Comic_Menu_Pool_20",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/20", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 800, y = 200},
		label = "Comic_Menu_Pool_23",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/23", background="level/story/textures/bg_pool"});
			end
	},
	
	-------------------------------------------------------------------
	
	BlgButton{
		transformMatrix = {x = 0, y = 300},
		label = "Comic_Menu_Pool_25",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/25", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 300},
		label = "Comic_Menu_Pool_26",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/26", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 300},
		label = "Comic_Menu_Pool_30",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/30", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 600, y = 300},
		label = "Comic_Menu_Pool_31",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/31", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 800, y = 300},
		label = "Comic_Menu_Pool_33",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/33", background="level/story/textures/bg_pool"});
			end
	},
	
	-------------------------------------------------------------
	
	BlgButton{
		transformMatrix = {x = 0, y = 400},
		label = "Comic_Menu_Pool_35",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/35", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 400},
		label = "Comic_Menu_Ending",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/ending", background="level/story/textures/bg_club"});
			end
	},
	
	
	BlgButton{
		name = "backBtn",
		transformMatrix = {x = 0, y = 600},
		label = "back",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				SwapToState("scripts/states/statemainmenu.lua");
			end
	},
}
